小红书 · 电商

商品评价

传入商品链接或 ID,返回买家评价,含评价内容、星级、点赞数、图片、所购规格、日期和评价者资料。

POST/v1/xiaohongshu/reviews

$0.00275 起

  • 每条条目$0.00275
  • 每条主页资料$0.0184
1,000 条
≈ $2.75
每页(10 条)最低
$0.012564

只能用充值余额能用 cursor 翻页

在控制台里试

怎么发

用 POST 带 JSON 请求体,或者用 GET 把同样的参数放进查询串。key 放在 Authorization 头里。

curl -X POST "https://api.silklinedata.com/v1/xiaohongshu/reviews" \
  -H "Authorization: Bearer $SILKLINE_KEY" \
  -H "Content-Type: application/json" \
  -d '{"limit":5,"products":["https://www.xiaohongshu.com/goods-detail/6a29427165e82f000132091b"]}'

返回什么

这是 2026-11-09 一次真实请求返回的记录。普通用户的名字、头像和主页链接显示为 <masked>;长文字只在这里截短,接口里是完整的。

200 OK · 取数日期 2026-11-09
{
  "data": [
    {
      "type": "review",
      "reviewId": "673073610125521500",
      "productId": "6a29427165e82f000132091b",
      "text": "偶然间刷小红书看见的品牌,看评论还可…",
      "rating": 5,
      "logisticsRating": 5,
      "serviceRating": 5,
      "likes": 5,
      "replyCount": 10,
      "publishedAtText": "10-09",
      "imageUrls": [
        "https://qimg.xiaohongshu.com/comment/…",
        "https://qimg.xiaohongshu.com/comment/…",
        "https://qimg.xiaohongshu.com/comment/…"
      ],
      "reviewTags": [],
      "buyerTags": [
        "本店购买2次"
      ],
      "variants": [
        "款式: 全透明壳(记得要撕开2面保护膜)",
        "手机型号: iPhone18pro/17pro 新开模(相…"
      ],
      "authorName": "<masked>",
      "authorId": "<masked>",
      "authorAvatar": "<masked>"
    },
    {
      "type": "review",
      "reviewId": "632154710965166652",
      "productId": "6a29427165e82f000132091b",
      "text": "这壳手感好好  本来怕不合适就先买了17…",
      "rating": 5,
      "logisticsRating": 5,
      "serviceRating": 5,
      "likes": 13,
      "replyCount": 31,
      "publishedAtText": "06-18",
      "imageUrls": [
        "https://qimg.xiaohongshu.com/comment/…",
        "https://qimg.xiaohongshu.com/comment/…",
        "https://qimg.xiaohongshu.com/comment/…"
      ],
      "reviewTags": [
        "手感很好",
        "保护到位"
      ],
      "buyerTags": [
        "本店购买2次"
      ],
      "variants": [
        "款式: 磁吸透明壳",
        "手机型号: iPhone 17 promax (相机键不…"
      ],
      "authorName": "<masked>",
      "authorId": "<masked>",
      "authorAvatar": "<masked>"
    }
  ],
  "cursor": "c1.Hq8vR2mTn5wK.yJ0dXA…",
  "meta": {
    "request_id": "req_01JD8Q…",
    "charged_usd": "0.012564",
    "balance_usd": "9.875000",
    "items": 2
  }
}

字段 17

字段类型示例值
typestringreview
reviewIdstring673073610125521500
productIdstring6a29427165e82f000132091b
textstring偶然间刷小红书看见的品牌,看评论还可以,买了两个,感觉还不错,四周包边是软的,背部是硬的用一用看看
ratingnumber5
logisticsRatingnumber5
serviceRatingnumber5
likesnumber5
replyCountnumber10
publishedAtTextstring10-09
imageUrlsarray["https://qimg.xiaohongshu.com/comment/1040g2u032635mog6kq6g…
reviewTagsarray[]
buyerTagsarray["本店购买2次"]
variantsarray["款式: 全透明壳(记得要撕开2面保护膜)","手机型号: iPhone18pro/17pro 新开模(相机键镂空)"…
authorNamestring<masked>
authorIdstring<masked>
authorAvatarstring<masked>

参数 2

参数名类型必填说明示例
limitinteger否返回的记录条数,1 到 100。单次请求返回的条数不会超过这个数。5
productsarray是商品链接或 24 位商品 ID,例如 https://www.xiaohongshu.com/goods-detail/6a29427165e82f000132091b。["https://www.xiaohongshu.com/goods-deta…

翻页

把上一次返回的 cursor 连同同样的参数传回来,拿下一页。每一页是一次独立的请求,单独计费;最后一页的 cursor 是 null。

JavaScript
const params = {"products":["https://www.xiaohongshu.com/goods-detail/6a29427165e82f000132091b"]};
const records = [];
let cursor = null;
do {
  const response = await fetch("https://api.silklinedata.com/v1/xiaohongshu/reviews", {
    method: "POST",
    headers: { Authorization: `Bearer ${process.env.SILKLINE_KEY}`, "Content-Type": "application/json" },
    body: JSON.stringify({ ...params, limit: 100, ...(cursor ? { cursor } : {}) }),
  });
  const answer = await response.json();
  records.push(...answer.data);
  cursor = answer.cursor;
} while (cursor);
console.log(records.length);

一次请求花多少

按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。

这个接口一页最多 10 条,每页最低收费 $0.012564;要 100 条的请求会取 10 页。

  • 1 条:最多 $0.012564
  • 20 条:最多 $0.055
  • 100 条:最多 $0.275

上面几行只按最便宜的那种记录算。别的种类按各自的价格另算:主页资料 $0.0184。

返回的 meta 里写着这次扣了多少(charged_usd)和还剩多少(balance_usd)。我们这边出错不收费。

常见问题

「商品评价」要传哪些参数?

必填:products。另外都可以传 limit(1 到 100)。

一次请求最多返回多少条?

每次请求最多 100 条(limit 1 到 100)。每页最多 10 条,要 100 条时一次请求取 10 页。

能接着往后取吗?

能。回答里有 cursor 时,带上同样的参数和这个 cursor 再请求一次,就从上次停下的地方接着取。

怎么收费?

每条 条目 $0.00275、主页资料 $0.0184。每页最低收费 $0.012564:条数少或没有结果时,每取一页最多收这么多,可能更低。取 100 条最多 $0.275。

请求失败或者没有结果时怎么收费?

按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。回答里的 meta 写着这次收了多少、余额还剩多少。